<?php

/**
 * @copyright	Copyright (C) 2020 by XiroWeb
 * @license		GNU/GPL
 * */
// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\FileLayout;


class JFormFieldUipreview extends FormField {

	protected $type = 'uipreview';

    protected $renderLayout = 'renderfield_uipreview';

    protected $renderLabelLayout = 'uipreviewlayout';

    protected $basePath = JPATH_SITE . '/modules/' . 'mod_xiroweb_uiblockshero' . '/helper/layouts';

    protected function getInput()
	{
		return ' ';
	}

	protected function getLabel() {
       
        $data = $this->getLayoutData();

        $fieldpreview = $this->element['fieldpreview'] ? (string) $this->element['fieldpreview'] : '';


		// Here mainly for B/C with old layouts. This can be done in the layouts directly
		$extraData = array(
			'text'        => $data['label'],
			'classes'     => explode(' ', $data['labelclass']),
            'fieldpreview' => $fieldpreview
		);

		return $this->getRenderer($this->renderLabelLayout)->render(array_merge($data, $extraData));
	}

    protected function getTitle()
	{
		return $this->getLabel();
	}

    public function renderField($options = array())
	{
		return parent::renderField($options);
	}

    protected function getRenderer($layoutId = 'default')
	{
		$renderer = new FileLayout($layoutId, $this->basePath);

		$renderer->setDebug($this->isDebugEnabled());

		return $renderer;
	}

   
}
