<?php
/**
 * @subpackage  mod_xiroweb_articles_trending
 *
 * @copyright   (C) 2021-2022 Xiroweb All rights reserved.
 * 
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

namespace Xiroweb\Module\XirowebUiblockshero\Site\Helper;

\defined('_JEXEC') or die;

require_once __DIR__ . '/../../helper/vendor/scssphp/scss.inc.php';

use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormHelper;
use ScssPhp\ScssPhp\Compiler;
use ScssPhp\ScssPhp\OutputStyle;

abstract class XirowebUiblocksheroHelper
{
    protected static $scssobject = null;
	
    /**
     * add rel option on div html for show/hide field
     *
     * @param   string  $shononconfig  [fieldname]:[value] AND/OR ...
     */
    public static function showon($shononconfig): string
    {
        $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
        $wa->useScript('showon');

        $rel          = ' data-showon=\'' .
                json_encode(FormHelper::parseShowOnConditions($shononconfig, 'jform', 'params')) . '\'';

        return $rel;
    }

    protected static function getScssObject()
    {
        if (!self::$scssobject) {
            self::$scssobject = self::createScssObject();
        }

        return self::$scssobject;
    }

    public static function convertCss($inputcss)
    {
        $convert = self::getScssObject();
        $convert->setOutputStyle(OutputStyle::COMPRESSED);
        return $convert->compileString($inputcss)->getCss();
    }

    protected static function createScssObject()
    {
        return new Compiler();
    }

}
