<?php
/**
 *
 * @author     Xiroweb <support@xiroweb.com>
 * @copyright  Copyright (c)2021 Xiroweb All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.xiroweb.com
 * 
 */

defined('_JEXEC') or die;

use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Factory;
use Xiroweb\Module\XirowebUiblockshero\Site\Helper\XirowebUiblocksheroHelper;

$wa = Factory::getApplication()->getDocument()->getWebAssetManager();

$background_value = '';

if ($params->get('bg_custom')) {
    if ($params->get('bg_custom_switch')) {
        $background_value = htmlspecialchars($params->get('bg_value', ''), ENT_QUOTES, 'UTF-8');
    } else {
        $background_value = $params->get('bg_picker');
    }
} else {
    if ($params->get('bg_lightdark')) {
        //  default background dark
        $background_value = '#121828';
    } else {
        //  default background light
        $background_value = '#F5F5F5';
    }
}

$color_value = '';

if ($params->get('text_color_custom')) {
    $color_value = htmlspecialchars($params->get('text_color', ''), ENT_QUOTES, 'UTF-8');
} else {
    if ($params->get('text_color_lightdark')) {
        // default color light
        $color_value = '#FFFFFF';
    } else {
        // default color dark
        $color_value = '#000000';

    }
}

$style_css = 'background: ' . $background_value . ';';
$style_css .= 'color: ' . $color_value . ';';
$style_css .= '
            h1, .h1 {
                font-size: calc(1.625rem + 4.5vw);
                line-height: 1.2;}
            h2, .h2 {
                font-size: calc(1.575rem + 3.9vw);
                line-height: 1.2;
            }
            h3, .h3 {
                font-size: calc(1.525rem + 3.3vw);
                line-height: 1.2;
            }
            h4, .h4 {
                font-size: calc(1.475rem + 2.7vw);
                line-height: 1.2;
            }
            h5, .h5 {
                font-size: calc(1.425rem + 2.1vw);
                line-height: 1.2;
            }
            .py-md-6 {
                padding-bottom: 4rem;
                padding-top: 4rem;
            }
';


$render_css = XirowebUiblocksheroHelper::convertCss('#' . $module_id . '{' . $style_css . '}');
$wa->addInlineStyle($render_css);
// custom css from user
if (!empty($params->get('csscode',''))) {
    $wa->addInlineStyle(XirowebUiblocksheroHelper::convertCss($csscode));
}

?>
<div id="<?php echo $module_id; ?>" class="xiro_uiblocks py-5">
<?php echo $params->get('div_container_opt') ? $wrapper_container : '' ?>
    <div class="row align-items-center">
        <div class="col-md-7 py-3 py-md-6 contentblock">
            <?php if (!empty($contentblock)) : ?>
                <?php echo $contentblock; ?>
            <?php endif; ?>
        </div>
        <div class="col-md-5">
            <?php if (!empty($params->get('image', ''))) : ?>
                <?php 
                $imglayoutAttr = [
                    'src' => $params->get('image', ''),
                    'alt' => empty($params->get('image_alt', '')) ? false : htmlspecialchars($params->get('image_alt', ''), ENT_QUOTES, 'UTF-8'),
                    'class' => ' img-fluid d-block mx-auto image-block'
                ];
                ?>
                <?php echo LayoutHelper::render('joomla.html.image', $imglayoutAttr); ?>
             <?php endif; ?>
        </div>
    </div>
<?php echo $params->get('div_container_opt') ? '</div>' : '' ?>
</div>